a {
  color: #35509a;
  text-decoration: none;
  background-color: transparent;
}
.site-content-wrapper {
  background-color: #f8f9fa;
}
/**/
.test-content {
  background-color: #fff;
  padding: 1rem;
  border-radius: .65rem;
  border: 1px solid #e0e0e0;
  box-shadow: 0 4px 0 0 rgba(143,156,173,.2);
  max-width: 100%;
  width: 100%;
  min-width: 0;
}
/**/
.custom-control-input {
  position: absolute;
  left: 0;
  z-index: -1;
  width: 1rem;
  height: 1.225rem;
  opacity: 0;
  box-sizing: border-box;
  padding: 0;
}
.custom-control {
  position: relative;
  z-index: 1;
  display: block;
  min-height: 1.45rem;
  padding-left: 2.25rem;
  color-adjust: exact;
}
.highlight-toggle-box {
  font-size:.88rem;
  display:flex;
  align-items:center;
  z-index:9
}
.custom-control-label {
  position: relative;
  margin-bottom: 0;
  vertical-align: top;
}
.custom-control-label::before {
  pointer-events: none;
  background-color: #fff;
  border: 1px solid #97a4af;
}
.custom-control-label::after, .custom-control-label::before {
  position: absolute;
  top: .225rem;
  left: -1.5rem;
  display: block;
  width: 1rem;
  height: 1rem;
  content: "";
}
.custom-control-label::before, .custom-file-label, .custom-select {
  transition: background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.custom-switch .custom-control-label::before {
  left: -2.25rem;
  width: 1.75rem;
  pointer-events: all;
  border-radius: .5rem;
}
.custom-control-input:checked ~ .custom-control-label::before {
  color: #fff;
  border-color: #35509a;
  background-color: #35509a;
}
.custom-control-label::after {
  background: 50%/50% 50% no-repeat;
}
.custom-switch .custom-control-label::after {
  top: calc(.225rem + 2px);
  left: calc(-2.25rem + 2px);
  width: calc(1rem - 4px);
  height: calc(1rem - 4px);
  background-color: #97a4af;
  border-radius: .5rem;
  transition: transform .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.custom-switch .custom-control-input:checked ~ .custom-control-label::after {
  background-color: #fff;
  transform: translateX(.75rem);
}
/**/
.nav-tabs {
  border-bottom:1px solid #e0e0e0;
  background-color:transparent;
  margin-bottom:-1px;
  display:flex;
  position:relative;
  max-width:100%;
  overflow-x:auto;
  overflow-y:hidden;
  flex-wrap:nowrap
}
.nav-tabs.noborder .nav-link {
  border-color:transparent!important
}
.nav-tabs .nav-item {
  display:flex;
  white-space:nowrap
}
@media screen and (max-width:768px) {
  .nav-tabs .nav-item {
    width:auto
  }
}
.nav-tabs .nav-link {
  color:#8c98a4;
  border-width:0 0 .25rem;
  border-style:solid;
  border-color:transparent;
  padding:.8rem 1.15rem;
  margin-bottom:-.15rem;
  border-radius:0;
  background-color:transparent;
  font-weight:500;
  justify-content:center;
  align-items:center
}
.nav-tabs .nav-link.active,
.nav-tabs .nav-link:active,
.nav-tabs .nav-link:hover {
  color:#35509a;
  border-bottom-color:#35509a;
  background-color:transparent
}
@media screen and (max-width:768px) {
  .nav-tabs .nav-link {
    text-align:center
  }
}
.nav-pills {
  flex-wrap:nowrap
}
.nav-pills.nav-square .nav-link {
  border-radius:.15rem;
  padding:6px 12px
}
.nav-pills.nav-vertical {
  flex-direction:column
}
.nav-pills.nav-vertical .nav-item {
  margin-bottom:.5rem
}
@media screen and (max-width:768px) {
  .nav-pills.nav-vertical {
    flex-direction:row;
    overflow-x:auto;
    overflow-y:hidden;
    flex-wrap:nowrap
  }
}
.nav-pills .nav-item {
  margin-right:.4rem
}
.nav-pills .nav-link {
  padding:4px 15px;
  background-color:#f8f9fa;
  border-radius:25px;
  white-space:nowrap;
  color:#1a1a1a
}
.nav-pills .nav-link:hover {
  background-color:#e7eaf3
}
.nav-pills .nav-link.active {
  background-color:#e8f2ff;
  color:#35509a;
  font-weight:500;
  font-weight: bold;
}
.nav-pills .nav-link.with-border {
  border:1px solid #bdc5d1
}
/**/
.question-twocols {
  margin-bottom: 2rem;
  border-bottom: 1px solid #e0e0e0;
}
.question-twocols-left {
  background-color: #f8f9fa;
  padding: 10px;
  height: 100%;
}
.question-twocols-left, .question-twocols-right {
  padding: 10px;
  overflow: auto;
  max-height: calc(100vh - 270px);
}
.question-twocols-right {
}
.context-content {
  margin-bottom: 2rem;
}
/**/
.question-wrapper {
  display: flex;
  margin-bottom: 1.5rem;
}
.question-number {
  margin-right: .5rem;
}
.question-number[data-markable="true"] {
  cursor: pointer;
}
.question-number strong {
  border-radius: 50%;
  background-color: #e8f2ff;
  color: #35509a;
  width: 35px;
  height: 35px;
  line-height: 35px;
  font-size: 15px;
  text-align: center;
  display: inline-block;
}
.question-content {
  width: 100%;
}
.question-text {
  margin-bottom: .5rem;
}
.question-content input[type="text"] {
  max-width: 200px;
}
/**/
.nextpart-wrapper {
  text-align: right;
}
/**/
.test-navigation__inner {
  position: relative;
  transform: translate(0);
  transform: translateZ(0);
  will-change: position,transform;
  padding: 1rem;
  background-color: #fff;
  box-shadow: 0 2px 4px rgba(0,0,0,.08),0 4px 12px rgba(0,0,0,.08);
   height: 100%; 
  position: sticky;
  top: 10px;
}
.test-questions-list-wrapper {
  display: flex;
  justify-content: left;
  flex-wrap: wrap;
}
.test-questions-listitem {
  display: inline-flex;
  border-radius: 3px;
  border-color: #f7faff;
  border: 1px solid;
  font-weight: 600;
  margin-right: 4px;
  margin-bottom: 8px;
  width: 28px;
  height: 25px;
  font-size: 11px;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.test-questions-listitem.active, .test-questions-listitem:hover {
  background-color: #35509a !important;
  color: #fff;
  border-color: #35509a;
}
.test-navigation {
  height: 100%;
}
/**/
.highlighted {
  background-color:#ff0;
  cursor:pointer;
  position:relative
}
.highlighted.with-note {
  margin-top:30px
}
.highlighted[data-flashcard]:after {
  content:"*";
  display:block;
  color:red;
  border-radius:50%;
  position:absolute;
  top:-9px;
  right:-4px;
  font-weight:500
}
.highlight-control {
  display:none;
  padding:5px;
  border-radius:3px;
  background:rgba(0,0,0,.7);
  color:#fff;
  font-size:13px;
  z-index:999;
  min-width: 220px;
  max-width: 220px;
  white-space:normal!important
}
.highlight-control .highlight-editor {
  display:none;
  position:relative
}
.highlight-control .highlight-editor textarea {
  width:100%
}
.highlight-top-controls {
  display:block;
  margin-bottom:1rem
}
.highlight-icon {
  padding:6px 4px;
  cursor:pointer
}
.highlighted-note {
  color:red;
  font-weight:400;
  font-size:.8rem;
  background-color:#fff!important;
  padding:3px;
  border:1px dashed #ccc;
  border-radius:3px;
  margin-top:5px;
  margin-bottom:5px;
  max-width:470px;
  display:inline-block;
  user-select:none;
  white-space:normal;
  line-height:1.3
}
.highlight-color {
  width:15px;
  height:15px;
  display:inline-block!important;
  border-radius:2px;
  margin-right:5px
}
.highlight-color.blue {
  background-color:#abf7ff
}
.highlight-color.yellow {
  background-color:#ff0
}
.highlight-color.pink {
  background-color:#ffd1d9
}
.highlight-color.green {
  background-color:#ceffce
}
.highlight-color.underred {
  background-color:rgba(0,0,0,.01);
  border-bottom:2px solid red
}
.highlight-color.crossed {
  background-color:rgba(0,0,0,.01);
  text-decoration:line-through;
  text-decoration-color:#000;
  position:relative;
  width:30px
}
.highlight-toggle-box {
  font-size:.88rem;
  display:flex;
  align-items:center;
  z-index:9
}
.highlight-toggle-box .dropdown-menu {
  font-size:.88rem;
  min-width:200px
}
.highlight-icon.highlight-flashcard {
  display: none;
}

@media only screen and (max-width: 640px) {
  .nav-pills {
    overflow: auto;
  }
  .nav-pills .nav-item {
    white-space: nowrap;
  }
}
/**/
.control-sidebar {
  width: 40px;
  position: absolute;
  height: 40px;
  text-align: center;
  top: 55%;
  cursor: pointer;
  display: none;
  color: #fff;
  background: #14375F;
  padding: 5px 10px;
  z-index: 99999;
  font-size: 18px;
  -webkit-transition: all 0.35s ease;
  -o-transition: all 0.35s ease;
  transition: all 0.35s ease;
}
.sidebar-one .control-sidebar {
  left: -40px;
}
.sidebar-one .control-sidebar.active i:before{
  content: '\f00d';
}
.sidebar-fa.fa {
  font-size: 18px;
  color: #fff;
  transform: rotateY(-180deg);
}
@media only screen and (max-width: 991px) {
  .sidebar-one{
    width: 100%;
    margin-right: 0;
  }
  div.sidebar-one {
    position: fixed !important;
    background: #fff;
    top: 0;
    height: 100%;
    z-index: 9999;
    top:0;
    right: -300px;
    width: 300px !important;
    border-left: solid 1px #bbbbbb;
  }
  .control-sidebar {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .sidebar-one .sidebar-content {
    height: 100%;
    overflow-y: scroll;
    width: 100%;
    padding: 10px;
  }
  .sidebar-content {
    padding: 10px;
  }
}